org.sunflow

## Class PluginRegistry

- java.lang.Object
- - org.sunflow.PluginRegistry

-     public final class PluginRegistry
      extends java.lang.Object

  This class acts as the central repository for all user extensible types in Sunflow, even built-in types are registered here. This class is static so that new plugins may be reused by an application across several render scenes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Plugins<AccelerationStructure>` | `accelPlugins`
    `static Plugins<BitmapReader>` | `bitmapReaderPlugins`
    `static Plugins<BitmapWriter>` | `bitmapWriterPlugins`
    `static Plugins<BucketOrder>` | `bucketOrderPlugins`
    `static Plugins<CameraLens>` | `cameraLensPlugins`
    `static Plugins<CausticPhotonMapInterface>` | `causticPhotonMapPlugins`
    `static Plugins<Filter>` | `filterPlugins`
    `static Plugins<GIEngine>` | `giEnginePlugins`
    `static Plugins<GlobalPhotonMapInterface>` | `globalPhotonMapPlugins`
    `static Plugins<ImageSampler>` | `imageSamplerPlugins`
    `static Plugins<LightSource>` | `lightSourcePlugins`
    `static Plugins<Modifier>` | `modifierPlugins`
    `static Plugins<SceneParser>` | `parserPlugins`
    `static Plugins<PrimitiveList>` | `primitivePlugins`
    `static Plugins<Shader>` | `shaderPlugins`
    `static Plugins<Tesselatable>` | `tesselatablePlugins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginRegistry()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### primitivePlugins

          public static final Plugins<PrimitiveList> primitivePlugins

    - #### tesselatablePlugins

          public static final Plugins<Tesselatable> tesselatablePlugins

    - #### shaderPlugins

          public static final Plugins<Shader> shaderPlugins

    - #### modifierPlugins

          public static final Plugins<Modifier> modifierPlugins

    - #### lightSourcePlugins

          public static final Plugins<LightSource> lightSourcePlugins

    - #### cameraLensPlugins

          public static final Plugins<CameraLens> cameraLensPlugins

    - #### accelPlugins

          public static final Plugins<AccelerationStructure> accelPlugins

    - #### bucketOrderPlugins

          public static final Plugins<BucketOrder> bucketOrderPlugins

    - #### filterPlugins

          public static final Plugins<Filter> filterPlugins

    - #### giEnginePlugins

          public static final Plugins<GIEngine> giEnginePlugins

    - #### causticPhotonMapPlugins

          public static final Plugins<CausticPhotonMapInterface> causticPhotonMapPlugins

    - #### globalPhotonMapPlugins

          public static final Plugins<GlobalPhotonMapInterface> globalPhotonMapPlugins

    - #### imageSamplerPlugins

          public static final Plugins<ImageSampler> imageSamplerPlugins

    - #### parserPlugins

          public static final Plugins<SceneParser> parserPlugins

    - #### bitmapReaderPlugins

          public static final Plugins<BitmapReader> bitmapReaderPlugins

    - #### bitmapWriterPlugins

          public static final Plugins<BitmapWriter> bitmapWriterPlugins

  - ### Constructor Detail

    - #### PluginRegistry

          public PluginRegistry()